Debian Bug report logs - #450422
easymock: FTBFS: tests blocked

version graph

Package: easymock; Maintainer for easymock is Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Wed, 7 Nov 2007 09:39:01 UTC

Severity: serious

Found in version 2.3+ds1-1

Fixed in version easymock/2.3+ds1-2

Done: Jan-Pascal van Best <janpascal@vanbest.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#450422; Package easymock. Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: easymock: FTBFS: tests blocked
Date: Wed, 7 Nov 2007 10:21:27 +0100
Package: easymock
version: 2.3+ds1-1
Severity: serious
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20071106 qa-ftbfs
Justification: FTBFS on i386

Hi,

During a rebuild of all packages in sid, your package failed to build on i386.

It blocked during the testcases. I have no idea why. The last testcases
to be executed were:
    [junit] Testcase: setOpenCallCountTwice took 0.045 sec
    [junit] Testcase: setIllegalMinimumCount took 0.001 sec
    [junit] Testcase: setIllegalMaximumCount took 0.001 sec
    [junit] Testcase: setMinimumBiggerThanMaximum took 0.001 sec
    [junit] Running org.easymock.tests.RecordStateInvalidReturnValueTest
    [junit] Testsuite: org.easymock.tests.RecordStateInvalidReturnValueTest
    [junit] Tests run: 11, Failures: 0, Errors: 0, Time elapsed: 0.023 sec
    [junit] Tests run: 11, Failures: 0, Errors: 0, Time elapsed: 0.023 sec
    [junit] 
    [junit] Testcase: setInvalidBooleanReturnValue took 0.013 sec
    [junit] Testcase: setInvalidLongReturnValue took 0.001 sec
    [junit] Testcase: setInvalidFloatReturnValue took 0.001 sec
    [junit] Testcase: setInvalidDoubleReturnValue took 0 sec
    [junit] Testcase: setInvalidObjectReturnValue took 0.001 sec
    [junit] Testcase: setInvalidBooleanReturnValueCount took 0.001 sec
    [junit] Testcase: setInvalidLongReturnValueCount took 0.001 sec
    [junit] Testcase: setInvalidFloatReturnValueCount took 0.001 sec

The full build log is available from
http://people.debian.org/~lucas/logs/2007/11/06

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot containing a sid i386
environment.  Internet was not accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#450422; Package easymock. Full text and rfc822 format available.

Acknowledgement sent to Philipp Kern <pkern@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 450422@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>, 450422@bugs.debian.org
Subject: Re: Bug#450422: easymock: FTBFS: tests blocked
Date: Sat, 12 Jan 2008 15:48:31 +0100
[Message part 1 (text/plain, inline)]
On Wed, Nov 07, 2007 at 10:21:27AM +0100, Lucas Nussbaum wrote:
> It blocked during the testcases. I have no idea why. The last testcases
> to be executed were:
>     [junit] Testcase: setOpenCallCountTwice took 0.045 sec
>     [junit] Testcase: setIllegalMinimumCount took 0.001 sec
>     [junit] Testcase: setIllegalMaximumCount took 0.001 sec
>     [junit] Testcase: setMinimumBiggerThanMaximum took 0.001 sec
>     [junit] Running org.easymock.tests.RecordStateInvalidReturnValueTest
>     [junit] Testsuite: org.easymock.tests.RecordStateInvalidReturnValueTest
>     [junit] Tests run: 11, Failures: 0, Errors: 0, Time elapsed: 0.023 sec
>     [junit] Tests run: 11, Failures: 0, Errors: 0, Time elapsed: 0.023 sec
>     [junit] 
>     [junit] Testcase: setInvalidBooleanReturnValue took 0.013 sec
>     [junit] Testcase: setInvalidLongReturnValue took 0.001 sec
>     [junit] Testcase: setInvalidFloatReturnValue took 0.001 sec
>     [junit] Testcase: setInvalidDoubleReturnValue took 0 sec
>     [junit] Testcase: setInvalidObjectReturnValue took 0.001 sec
>     [junit] Testcase: setInvalidBooleanReturnValueCount took 0.001 sec
>     [junit] Testcase: setInvalidLongReturnValueCount took 0.001 sec
>     [junit] Testcase: setInvalidFloatReturnValueCount took 0.001 sec

Not reproducible as-is, but fails later in my amd64 unstable sbuild:

dh_installdocs -plibeasymock-java-doc  debian/README.Debian-source Documentation*.html easymock.css samples api  
find: invalid predicate `)('
dh_installdocs: command returned error code
make: *** [binary-install/libeasymock-java-doc] Error 1
dpkg-buildpackage: failure: /usr/bin/fakeroot debian/rules binary gave error exit status 2
******************************************************************************
Build finished at 20080112-1537
FAILED [dpkg-buildpackage died]

Kind regards,
Philipp Kern
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#450422; Package easymock. Full text and rfc822 format available.

Acknowledgement sent to Michael Koch <konqueror@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #15 received at 450422@bugs.debian.org (full text, mbox):

From: Michael Koch <konqueror@gmx.de>
To: Philipp Kern <pkern@debian.org>, Lucas Nussbaum <lucas@lucas-nussbaum.net>
Cc: 450422@bugs.debian.org
Subject: Re: Bug#450422: easymock: FTBFS: tests blocked
Date: Sat, 12 Jan 2008 20:50:53 +0100
On Sat, Jan 12, 2008 at 03:48:31PM +0100, Philipp Kern wrote:
> On Wed, Nov 07, 2007 at 10:21:27AM +0100, Lucas Nussbaum wrote:
> > It blocked during the testcases. I have no idea why. The last testcases
> > to be executed were:
> >     [junit] Testcase: setOpenCallCountTwice took 0.045 sec
> >     [junit] Testcase: setIllegalMinimumCount took 0.001 sec
> >     [junit] Testcase: setIllegalMaximumCount took 0.001 sec
> >     [junit] Testcase: setMinimumBiggerThanMaximum took 0.001 sec
> >     [junit] Running org.easymock.tests.RecordStateInvalidReturnValueTest
> >     [junit] Testsuite: org.easymock.tests.RecordStateInvalidReturnValueTest
> >     [junit] Tests run: 11, Failures: 0, Errors: 0, Time elapsed: 0.023 sec
> >     [junit] Tests run: 11, Failures: 0, Errors: 0, Time elapsed: 0.023 sec
> >     [junit] 
> >     [junit] Testcase: setInvalidBooleanReturnValue took 0.013 sec
> >     [junit] Testcase: setInvalidLongReturnValue took 0.001 sec
> >     [junit] Testcase: setInvalidFloatReturnValue took 0.001 sec
> >     [junit] Testcase: setInvalidDoubleReturnValue took 0 sec
> >     [junit] Testcase: setInvalidObjectReturnValue took 0.001 sec
> >     [junit] Testcase: setInvalidBooleanReturnValueCount took 0.001 sec
> >     [junit] Testcase: setInvalidLongReturnValueCount took 0.001 sec
> >     [junit] Testcase: setInvalidFloatReturnValueCount took 0.001 sec
> 
> Not reproducible as-is, but fails later in my amd64 unstable sbuild:
> 
> dh_installdocs -plibeasymock-java-doc  debian/README.Debian-source Documentation*.html easymock.css samples api  
> find: invalid predicate `)('
> dh_installdocs: command returned error code
> make: *** [binary-install/libeasymock-java-doc] Error 1
> dpkg-buildpackage: failure: /usr/bin/fakeroot debian/rules binary gave error exit status 2
> ******************************************************************************
> Build finished at 20080112-1537
> FAILED [dpkg-buildpackage died]

I can't reproduce this bug too. But I can't reproduce this build failure
either. The package builds fine for me.

Lucas: can you try to reproduce this error?


Cheers,
Michael




Reply sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #20 received at 450422-done@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: Michael Koch <konqueror@gmx.de>
Cc: Philipp Kern <pkern@debian.org>, 450422-done@bugs.debian.org
Subject: Re: Bug#450422: easymock: FTBFS: tests blocked
Date: Mon, 14 Jan 2008 10:28:37 +0100
On 12/01/08 at 20:50 +0100, Michael Koch wrote:
> On Sat, Jan 12, 2008 at 03:48:31PM +0100, Philipp Kern wrote:
> > On Wed, Nov 07, 2007 at 10:21:27AM +0100, Lucas Nussbaum wrote:
> > > It blocked during the testcases. I have no idea why. The last testcases
> > > to be executed were:
> > >     [junit] Testcase: setOpenCallCountTwice took 0.045 sec
> > >     [junit] Testcase: setIllegalMinimumCount took 0.001 sec
> > >     [junit] Testcase: setIllegalMaximumCount took 0.001 sec
> > >     [junit] Testcase: setMinimumBiggerThanMaximum took 0.001 sec
> > >     [junit] Running org.easymock.tests.RecordStateInvalidReturnValueTest
> > >     [junit] Testsuite: org.easymock.tests.RecordStateInvalidReturnValueTest
> > >     [junit] Tests run: 11, Failures: 0, Errors: 0, Time elapsed: 0.023 sec
> > >     [junit] Tests run: 11, Failures: 0, Errors: 0, Time elapsed: 0.023 sec
> > >     [junit] 
> > >     [junit] Testcase: setInvalidBooleanReturnValue took 0.013 sec
> > >     [junit] Testcase: setInvalidLongReturnValue took 0.001 sec
> > >     [junit] Testcase: setInvalidFloatReturnValue took 0.001 sec
> > >     [junit] Testcase: setInvalidDoubleReturnValue took 0 sec
> > >     [junit] Testcase: setInvalidObjectReturnValue took 0.001 sec
> > >     [junit] Testcase: setInvalidBooleanReturnValueCount took 0.001 sec
> > >     [junit] Testcase: setInvalidLongReturnValueCount took 0.001 sec
> > >     [junit] Testcase: setInvalidFloatReturnValueCount took 0.001 sec
> > 
> > Not reproducible as-is, but fails later in my amd64 unstable sbuild:
> > 
> > dh_installdocs -plibeasymock-java-doc  debian/README.Debian-source Documentation*.html easymock.css samples api  
> > find: invalid predicate `)('
> > dh_installdocs: command returned error code
> > make: *** [binary-install/libeasymock-java-doc] Error 1
> > dpkg-buildpackage: failure: /usr/bin/fakeroot debian/rules binary gave error exit status 2
> > ******************************************************************************
> > Build finished at 20080112-1537
> > FAILED [dpkg-buildpackage died]
> 
> I can't reproduce this bug too. But I can't reproduce this build failure
> either. The package builds fine for me.
> 
> Lucas: can you try to reproduce this error?

No. It seems to work now. Closing.
-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Reply sent to Jan-Pascal van Best <janpascal@vanbest.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #25 received at 450422-close@bugs.debian.org (full text, mbox):

From: Jan-Pascal van Best <janpascal@vanbest.org>
To: 450422-close@bugs.debian.org
Subject: Bug#450422: fixed in easymock 2.3+ds1-2
Date: Mon, 04 Feb 2008 11:02:02 +0000
Source: easymock
Source-Version: 2.3+ds1-2

We believe that the bug you reported is fixed in the latest version of
easymock, which is due to be installed in the Debian FTP archive:

easymock_2.3+ds1-2.diff.gz
  to pool/main/e/easymock/easymock_2.3+ds1-2.diff.gz
easymock_2.3+ds1-2.dsc
  to pool/main/e/easymock/easymock_2.3+ds1-2.dsc
libeasymock-java-doc_2.3+ds1-2_all.deb
  to pool/main/e/easymock/libeasymock-java-doc_2.3+ds1-2_all.deb
libeasymock-java_2.3+ds1-2_all.deb
  to pool/main/e/easymock/libeasymock-java_2.3+ds1-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 450422@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jan-Pascal van Best <janpascal@vanbest.org> (supplier of updated easymock package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 11 Jan 2008 16:14:31 +0100
Source: easymock
Binary: libeasymock-java libeasymock-java-doc
Architecture: source all
Version: 2.3+ds1-2
Distribution: unstable
Urgency: low
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Changed-By: Jan-Pascal van Best <janpascal@vanbest.org>
Description: 
 libeasymock-java - Java library to generate Mock Objects for given interfaces
 libeasymock-java-doc - Java library to generate Mock Objects for given interfaces (docum
Closes: 450422
Changes: 
 easymock (2.3+ds1-2) unstable; urgency=low
 .
   * Updated Vcs-* and Homepage fields in control file
   * Updated watch file to match upstream version correctly (M. Koch)
   * Updated dependency to current gcj-java-compat-dev (Closes: #450422)
   * Updated standards version to 3.7.3
Files: 
 2fc74d0ec52eb59b0b66e3f8b8ee6cbb 953 libs optional easymock_2.3+ds1-2.dsc
 091679f19b67a233beddd1ef5acdbb9f 5280 libs optional easymock_2.3+ds1-2.diff.gz
 b105f8996cf9de51aea7e8c883701415 48766 libs optional libeasymock-java_2.3+ds1-2_all.deb
 10746ca28ffad4c2087b6d1b75171de8 84606 doc optional libeasymock-java-doc_2.3+ds1-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHpvClWSOgCCdjSDsRAsKMAJ9IWnzSOEKYwVsCbJR3yHChwX6ZiwCfQPCB
a9Y9VVpzX5r3/RIFQdVWs98=
=PfNb
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 10 Mar 2008 07:26:48 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 05:59:44 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.